#[derive(Debug, Clone)]
pub struct PacketData {
    pub data: Vec<u8>,
}

impl PacketData {
    pub fn new(data: Vec<u8>) -> PacketData {
        PacketData { data }
    }

    pub fn len(&self) -> usize {
        self.data.len()
    }
}

impl Default for PacketData {
    fn default() -> Self {
        PacketData { data: vec![] }
    }
}
